Debian Bug report logs - #711647
dpkg: [INTL:it] Italian translation of dpkg po4a documentation (man pages)

version graph

Package: src:dpkg; Maintainer for src:dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>;

Reported by: Beatrice Torracca <beatricet@libero.it>

Date: Sat, 8 Jun 2013 14:39:01 UTC

Severity: wishlist

Tags: l10n, patch

Found in version dpkg/1.16.10

Fixed in versions dpkg/1.17.0, dpkg/1.16.11

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#711647; Package src:dpkg. (Sat, 08 Jun 2013 14:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Beatrice Torracca <beatricet@libero.it>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 08 Jun 2013 14:39:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Beatrice Torracca <beatricet@libero.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg: [INTL:it] Italian translation of dpkg po4a documentation (man pages)
Date: Sat, 08 Jun 2013 16:32:08 +0200
[Message part 1 (text/plain, inline)]
Source: dpkg
Version: 1.16.10
Severity: wishlist
Tags: l10n patch

Hi.
Please find attached the Italian translation of dpkg po4a documentation
(man pages) proofread by the Italian localization team. 

Not all the man pages (hence not all the messages in the .po file) are
translated, but many are. I think there should not be any problem in
generating only the localized documentation for which there is a
translation.

So I hope you can include it in your next upload.

Thanks,
Beatrice
[it.po (text/x-po, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#711647; Package src:dpkg. (Sat, 22 Jun 2013 22:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 22 Jun 2013 22:18:04 GMT) Full text and rfc822 format available.

Message #10 received at 711647@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Beatrice Torracca <beatricet@libero.it>, 711647@bugs.debian.org
Subject: Re: Bug#711647: dpkg: [INTL:it] Italian translation of dpkg po4a documentation (man pages)
Date: Sun, 23 Jun 2013 00:14:17 +0200
Hi!

On Sat, 2013-06-08 at 16:32:08 +0200, Beatrice Torracca wrote:
> Source: dpkg
> Version: 1.16.10
> Severity: wishlist
> Tags: l10n patch

> Please find attached the Italian translation of dpkg po4a documentation
> (man pages) proofread by the Italian localization team. 
> 
> Not all the man pages (hence not all the messages in the .po file) are
> translated, but many are. I think there should not be any problem in
> generating only the localized documentation for which there is a
> translation.

Not a problem, that's the beauty of gettext. :) Feel free to keep
sending incremental updates if you want.

> So I hope you can include it in your next upload.

Sure, I'll include it in both wheezy and sid branches.

Thanks,
Guillem



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#711647; Package src:dpkg. (Sat, 22 Jun 2013 22:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 22 Jun 2013 22:33:04 GMT) Full text and rfc822 format available.

Message #15 received at 711647@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Beatrice Torracca <beatricet@libero.it>, 711647@bugs.debian.org
Subject: Re: Bug#711647: dpkg: [INTL:it] Italian translation of dpkg po4a documentation (man pages)
Date: Sun, 23 Jun 2013 00:28:59 +0200
[Message part 1 (text/plain, inline)]
On Sun, 2013-06-23 at 00:14:17 +0200, Guillem Jover wrote:
> On Sat, 2013-06-08 at 16:32:08 +0200, Beatrice Torracca wrote:
> > Source: dpkg
> > Version: 1.16.10
> > Severity: wishlist
> > Tags: l10n patch
> 
> > Please find attached the Italian translation of dpkg po4a documentation
> > (man pages) proofread by the Italian localization team. 

There were some markup issues found during build, I've amended the
file with the attached patch. To detect these issues in the future,
you could do the following:

  $ autoreconf -f -i
  $ ./configure
  $ make -C man

Thanks,
Guillem
[dpkg-it.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#711647; Package src:dpkg. (Sun, 23 Jun 2013 17:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Beatrice Torracca <beatricet@libero.it>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 23 Jun 2013 17:06:04 GMT) Full text and rfc822 format available.

Message #20 received at 711647@bugs.debian.org (full text, mbox):

From: Beatrice Torracca <beatricet@libero.it>
To: Guillem Jover <guillem@debian.org>
Cc: 711647@bugs.debian.org
Subject: Re: Bug#711647: dpkg: [INTL:it] Italian translation of dpkg po4a documentation (man pages)
Date: Sun, 23 Jun 2013 19:02:03 +0200
On Sunday 23 June 2013, at 00:28 +0200, Guillem Jover wrote:

> 
> There were some markup issues found during build, I've amended the
> file with the attached patch. To detect these issues in the future,
> you could do the following:
> 
>   $ autoreconf -f -i
>   $ ./configure
>   $ make -C man

thanks for fixing these for me. The basic checks I did on the files
didn't go that far. But I tried to understand a "po4a" way to check it
and I got stuck. My fault of course.

I did take a note about your suggestion and I will certainly use it in
the future.

Beatrice



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#711647; Package src:dpkg. (Mon, 24 Jun 2013 00:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Mon, 24 Jun 2013 00:12:10 GMT) Full text and rfc822 format available.

Message #25 received at 711647@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Beatrice Torracca <beatricet@libero.it>, 711647@bugs.debian.org
Subject: Re: Bug#711647: dpkg: [INTL:it] Italian translation of dpkg po4a documentation (man pages)
Date: Mon, 24 Jun 2013 02:09:55 +0200
On Sun, 2013-06-23 at 19:02:03 +0200, Beatrice Torracca wrote:
> On Sunday 23 June 2013, at 00:28 +0200, Guillem Jover wrote:
> > There were some markup issues found during build, I've amended the
> > file with the attached patch. To detect these issues in the future,
> > you could do the following:
> > 
> >   $ autoreconf -f -i
> >   $ ./configure
> >   $ make -C man
> 
> thanks for fixing these for me. The basic checks I did on the files
> didn't go that far. But I tried to understand a "po4a" way to check it
> and I got stuck. My fault of course.

No problem! And to be fair, it's not documented in the dpkg source
tree, how to perform the checks for the po4a translations. So I've
added that now in the README.l10n (old README.translators), will be
included in my next push. (If you are curious the syntax used in those
translations comes from the perl documentation, POD, «man perlpod»,
“Formatting Codes” subsection).

> I did take a note about your suggestion and I will certainly use it in
> the future.

Perfect. :)

Thanks,
Guillem



Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 21 Jul 2013 10:33:10 GMT) Full text and rfc822 format available.

Message sent on to Beatrice Torracca <beatricet@libero.it>:
Bug#711647. (Sun, 21 Jul 2013 10:33:17 GMT) Full text and rfc822 format available.

Message #30 received at 711647-submitter@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 711647-submitter@bugs.debian.org
Subject: Bug#711647 marked as pending
Date: Sun, 21 Jul 2013 10:28:30 +0000
tag 711647 pending
thanks

Hello,

Bug #711647 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=c067384

---
commit c06738450045baed613d0a5594db613d4dcd75f7
Author: Beatrice Torracca <beatricet@libero.it>
Date:   Sun Jun 23 02:32:23 2013 +0200

    Add Italian partial man pages translation
    
    [guillem@debian.org:
     - Fix POD markup.
     - Add po4a configuration and addendum. ]
    
    Closes: #711647
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

diff --git a/debian/changelog b/debian/changelog
index d4a28e5..1dbfec0 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,9 @@ dpkg (1.16.11) UNRELEASED; urgency=low
   * Fix chmod() arguments order in Dpkg::Source::Quilt. Closes: #710265
     Thanks to Pablo Oliveira <pablo@sifflez.org>.
 
+  [ Added man page translations ]
+  * Italian (Beatrice Torracca). Closes: #711647
+
  -- Guillem Jover <guillem@debian.org>  Sat, 30 Mar 2013 15:48:52 +0100
 
 dpkg (1.16.10) unstable; urgency=low



Message sent on to Beatrice Torracca <beatricet@libero.it>:
Bug#711647. (Sat, 27 Jul 2013 03:57:45 GMT) Full text and rfc822 format available.

Message #33 received at 711647-submitter@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 711647-submitter@bugs.debian.org
Subject: Bug#711647 marked as pending
Date: Sat, 27 Jul 2013 03:52:19 +0000
tag 711647 pending
thanks

Hello,

Bug #711647 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=d032c07

---
commit d032c07568719858665c688a2b7930b8064b8d56
Author: Beatrice Torracca <beatricet@libero.it>
Date:   Sun Jun 23 02:32:23 2013 +0200

    Add Italian partial man pages translation
    
    [guillem@debian.org:
     - Fix POD markup.
     - Add po4a configuration and addendum. ]
    
    Closes: #711647
    
    Signed-off-by: Guillem Jover <guillem@debian.org>

diff --git a/debian/changelog b/debian/changelog
index df7fa17..7b3c470 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -146,6 +146,9 @@ dpkg (1.17.0) UNRELEASED; urgency=low
   * Fix typo in Spanish translation of update-alternatives.
     Thanks to Javier Fernandez-Sanguino <jfs@debian.org>. Closes: #713020
 
+  [ Added man page translations ]
+  * Italian (Beatrice Torracca). Closes: #711647
+
   [ Updated man page translations ]
   * Fix wrong translation of "fortify" in French dpkg-buildflags(1) man page.
     Thanks to Christian Perrier <bubulle@debian.org>. Closes: #712976



Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sat, 27 Jul 2013 04:07:45 GMT) Full text and rfc822 format available.

Notification sent to Beatrice Torracca <beatricet@libero.it>:
Bug acknowledged by developer. (Sat, 27 Jul 2013 04:07:45 GMT) Full text and rfc822 format available.

Message #38 received at 711647-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 711647-close@bugs.debian.org
Subject: Bug#711647: fixed in dpkg 1.17.0
Date: Sat, 27 Jul 2013 04:03:03 +0000
Source: dpkg
Source-Version: 1.17.0

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711647@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 26 Jul 2013 23:54:54 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.17.0
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 162541 163763 284664 635117 657627 659814 676664 681371 681470 684196 685096 686782 689193 691449 691745 697297 698881 699807 700177 703092 704240 707323 708292 708375 708607 710265 711647 711936 712976 713020 715334 716948
Changes: 
 dpkg (1.17.0) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Switch update-alternatives back to a fatal error on out of range priority
     on --install.
   * Document dpkg-deb --debug in --help output.
   * Bump Standards-Version to 3.9.4 (no changes needed).
   * Use the new canonical dpkg git Vcs URLs.
   * Remove ancient version from zlibg1-dev Build-Depends.
   * Add compression development packages to libdpkg-dev Depends.
   * Man pages cleanup:
     - Disable justification and hyphenation in SEE ALSO sections.
     - Remove unneeded double quotes in .SH headings.
     - Do not use “header” when “format” or “field” is meant.
     - Move dangers of installing via dpkg-deb from BUGS to a NOTES section.
     - Remove BUGS sections containing obvious or misplaced information.
     - Move BUGS sections before EXAMPLES and SEE ALSO sections.
     - Place ENVIRONMENT and FILES sections contiguously.
     - Move EXIT STATUS section before ENVIRONMENT.
     - Rename CAVEATS sections to NOTES.
     - Fold BACKWARD COMPATIBILITY section into other sections.
     - Document since when DEB_*_MULTIARCH variables are supported.
     - Move compiler flags subsection from ENVIRONMENT to NOTES.
     - Unify WARNING and ERROR sections into DIAGNOSTICS.
     - Unify command-line options into a single OPTIONS section.
     - Mark programs, variables, fields and command-line options in bold.
     - Fold dpkg-architecture(1) DEBIAN/RULES section into EXAMPLES.
     - Fix dpkg-architecture(1) debian/rules usage documentation.
     - Move dpkg-buildflags(1) HARDENING into a new FEATURE AREAS subsection.
     - Improve dpkg-buildflags(1) usage documentation.
       Thanks to Matthijs Kooijman <matthijs@stdin.nl>. Closes: #657627
     - Clarify that DPKG_MAINTSCRIPT_PACKAGE is not arch-qualified.
     - Add triggers to the list of binary control information files.
       Thanks to Charles Plessy <plessy@debian.org>.
   * Use colon instead of dot for user:group in dpkg debug output.
   * Remove support for obsolete DM-Upload-Allowed from Dpkg::Vendor::Debian.
   * Fix update-alternatives to use the current alternative link as the first
     best value, to avoid flip-flops of alternatives with equal priority.
     Closes: #699807
   * Fix clang warnings due to change of alignment requirements.
   * Change copyright file to point to GPL-2 instead of GPL.
   * Do not pass -e in shell script shebangs, set it in the body.
   * Add new dpkg-parsechangelog --show-field option to print a field value.
     Closes: #284664
   * Add new dpkg-buildpackage --force-sign option.
   * By default do not sign builds for UNRELEASED uploads on dpkg-buildpackage.
     Closes: #635117
   * Also check Build-Depends-Arch for minimal versions in dpkg-shlibdeps.
     Closes: #681470
   * Document dpkg-buildflags export mode usage in man page. Closes: #691449
     Thanks to Jonathan Nieder <jrnieder@gmail.com>.
   * Rename dpkg-buildflags configure exporter to cmdline, but preserve
     configure as a legacy alias.
   * Mask fortify hardening option from dpkg-buildflags output on noopt.
     New glibc 2.16 and later, issue a warning on this condition.
     Closes: #691745
   * Refer to path instead of file on dpkg-statoverride.
   * Always print a descriptive architecture column, even for empty or missing
     architectures on «dpkg-query --list».
   * Rework SELinux code on unpack to reload the label database if it has
     changed, for example while upgrading the SELinux policy package.
   * Execute maintainer scripts in a new execution context, based on the
     current one and the specific maintainer script filename, and if it's
     not different to the current one, use "dpkg_script_t" as a fallback.
   * Do not unnecessarily create a dpkg update log record on remove or purge.
   * Always reset want status when removing or purging a package; so this
     now resets holds among others. Closes: #163763
   * Always reset want status when installing a package; so this now resets
     holds among others. Closes: #162541
   * Defer cleanup of .dpkg-new and .dpkg-tmp paths on removal to the point
     when we are definitely removing the main path.
   * Activate file triggers on removal more accurately, only when we know
     we are inevitably removing things.
   * Change dir to / before executing maintainer scripts. Closes: #686782
   * Add new dpkg-deb --deb-format option and base --new and --old on it,
     as the latter are not future-proof, and neither can be guaranteed to
     produce a reliable output file format.
   * Drop archtable. It serves no purpose, it's Debian specific, it's
     usually outdated, and everyone should be using dpkg-architecture anyway.
   * Add musl-linux support to ostable and triplettable.
     Requested-by Kevin Bortis <wermut@gmail.com>.
   * Remove update-alternatives, dpkg-divert and dpkg-statoverride
     compatibility symlinks under /usr/sbin/.
   * Remove install-info wrapper.
   * Only ignore older packages if the existing version is informative. This
     allows any program using libdpkg to parse the available file to see again
     packages with versions lesser than 0-0 (like 0~0-0). Closes: #676664
   * Fix Dpkg::Control::Hash set_options() to take a hash as argument instead
     of two scalars.
   * Add a new Dpkg::Vendor get_vendor_dir() function.
   * Print correct path to vendor directory on error message in dpkg-vendor.
   * Do not hardcode the dpkg system configuration directory in perl scripts,
     respect build time setting.
   * Deprecate Dpkg lowercase and exported by default variables, replaced by
     new unified uppercase non-exported by default ones.
   * Do not set -fstack-protector in the default build flags on arm64 (it's
     not yet supported). Thanks to Matthias Klose <doko@ubuntu.com>.
     Closes: #711936
   * Add GCJFLAGS support to dpkg-buildflags. Closes: #708375
   * Clarify that dpkg --set-selections needs an up-to-date available db,
     by documenting it on the dpkg(1) man page, and warning whenever dpkg
     finds unknown packages while setting the selections. Closes: #703092
   * Print nicer error messages in perl scripts using Getopt::Long by trapping
     $SIG{__WARN__} to call usageerr() on option parse errors.
   * Move the exit call out from usage() in dpkg-scansources so that usageerr()
     gives a correct exit code. Thanks to Bernhard R. Link <brlink@debian.org>.
   * Print correct error message on unknown dpkg-name options before --.
   * Require at least one filename on dpkg-name after --.
   * Switch program usage errors to not print entire --help output.
     Closes: #681371
   * Document that «dpkg-parsechangelog -l-» can be used to read from stdin.
   * Support parsing compressed changelog files transparently. Closes: #684196
   * Sort files inside new diffs generated by dpkg-source lexicographically.
     Closes: #689193
   * Add support for a build_arch option in Dpkg::Deps deps_parse().
     Thanks to Colin Watson <cjwatson@ubuntu.com>. Closes: #697297
   * Move epoch-less or revision-less output logic to Dpkg::Version.
     Based on a patch by Bernhard R. Link <brlink@debian.org>.
   * Catch mismatches between version strings and format versions in
     dpkg-source. Ensure that a 3.0 (quilt) package has a non-native version
     and that a 3.0 (native) package has a native version. Closes: #700177
     Thanks to Bernhard R. Link <brlink@debian.org>.
   * Add support for mipsn32(el) and mips64(el) to arch tables.
     Thanks to YunQiang Su <wzssyqa@gmail.com>. Closes: #685096, #707323
   * Document --file and --label parser options in dpkg-parsechangelog(1).
   * Add a new configure --with-dpkg-deb-compressor option to allow selecting
     the default dpkg-deb compressor, mainly for downstreams.
   * Switch dpkg-deb default compressor from gzip to xz. Build dpkg.deb using
     gzip to make debootstrap life easier on non-Debian based systems.
   * Add support for gzip compression strategies to dpkg-deb. The new
     strategies are: filtered, huffman, rle and fixed.
   * Change dpkg and dpkg-deb help output to recommend apt instead of dselect
     as a user-friendly frontend.
   * Remove temporary file on error during «dpkg-divert --rename».
   * Fix value caching in Dpkg::Arch by not shadowing the variables.
   * Fix chmod() arguments order in Dpkg::Source::Quilt. Closes: #710265
     Thanks to Pablo Oliveira <pablo@sifflez.org>.
   * Add new dpkg-shlibdeps -l option to add private shared library directories.
     This should be used instead of abusing LD_LIBRARY_PATH to pass the paths,
     which might be problematic when cross-compiling. Closes: #698881
   * Only apply empy line and comma cleanups when doing substvar replacements
     on fields where those are relevant. Closes: #659814
   * Do not scan control files twice for PGP signature presence.
 .
   [ Raphaël Hertzog ]
   * Fix dpkg-maintscript-helper rm_conffile and mv_conffile to do nothing
     when the conffile is no longer owned by the current (or named) package.
     Thanks to Steve Langasek for the patch. Closes: #716948
   * Improve dpkg-maintscript-helper behaviour in “Multi-Arch: same” packages
     by arch-qualifying package names read from the environment. Also add
     a warning about this potential problem in the manual page.
   * Fix usage of non-existent _() function in multiple places of the Perl
     code. Thanks to Lincoln Myers <lincoln@netapp.com> for the patch.
     Closes: #708607
 .
   [ Updated programs translations ]
   * Fix typo in Spanish translation of update-alternatives.
     Thanks to Javier Fernandez-Sanguino <jfs@debian.org>. Closes: #713020
 .
   [ Updated programs translations ]
   * Vietnamese (Trần Ngọc Quân). Closes: #715334
 .
   [ Added man page translations ]
   * Italian (Beatrice Torracca). Closes: #711647
 .
   [ Updated man page translations ]
   * Fix wrong translation of "fortify" in French dpkg-buildflags(1) man page.
     Thanks to Christian Perrier <bubulle@debian.org>. Closes: #712976
   * Fix typo in dpkg-source(1) man page French translation.
     Thanks to Cédric Boutillier <boutil@debian.org>. Closes: #708292
   * Japanese (TAKAHASHI Motonobu). Closes: #704240
Checksums-Sha1: 
 7d0a5389a4f986c0e5ae9cebc706d240e3780282 1365 dpkg_1.17.0.dsc
 1eefd9ba1ec7d61697faf82586ecf153b928724f 3783600 dpkg_1.17.0.tar.xz
 7b1b6154ebefd8e7175cb2f3f0bfa9625cc60292 729842 libdpkg-dev_1.17.0_amd64.deb
 44b07a9828968b3d40178a995f2f7e83e6b86630 2624194 dpkg_1.17.0_amd64.deb
 24350e9fc261b9d9fbb49b5f9fc823d6e3f416bd 1194456 dselect_1.17.0_amd64.deb
 f7e55eddd462115c403964ea96d1438093951492 1346654 dpkg-dev_1.17.0_all.deb
 44315dc84dfa31cc9a7a4c3d6240f6059f212690 984038 libdpkg-perl_1.17.0_all.deb
Checksums-Sha256: 
 67c73b04b16a2a067b6f58f463161009b9868392734bac3434d08d8248996a0f 1365 dpkg_1.17.0.dsc
 a424cae7e94c98c3f700dc40eea6bc66ab7a14183c7d6efd2992de8261701352 3783600 dpkg_1.17.0.tar.xz
 de410be6e39b77dc5b381572794412b68b9f0c1076c4c9d60b3da089ddb520af 729842 libdpkg-dev_1.17.0_amd64.deb
 d0f218a17592bf51090c9eb7209047a86170d6c8089fc9c8b685149196764bfe 2624194 dpkg_1.17.0_amd64.deb
 4d86af7e10edd35ac8232801f42293bebbf68576319b4e827de4c30ba48db9df 1194456 dselect_1.17.0_amd64.deb
 f81da86ecd9728fb52ad6452b5b121411fba2188a486338d0b51ceeb6e9b8bde 1346654 dpkg-dev_1.17.0_all.deb
 e3f3b0773b0d1cfbc68a73603ffce6f7a3fc71ca22c3e78a5aea6dfac78264aa 984038 libdpkg-perl_1.17.0_all.deb
Files: 
 9fba33b2f2fe8e4af1585bff1e5bf02c 1365 admin required dpkg_1.17.0.dsc
 7a2a1a1b82a44154a7b6791ccbec03cf 3783600 admin required dpkg_1.17.0.tar.xz
 bee0aabc337738db567c23af184ee235 729842 libdevel optional libdpkg-dev_1.17.0_amd64.deb
 6c79ea18925f5c8ec8f1d871250f2866 2624194 admin required dpkg_1.17.0_amd64.deb
 34b0f0ace57e4583f38dd271f9b3bf2f 1194456 admin optional dselect_1.17.0_amd64.deb
 1bbc56aab4c34600de3b1096c3a3a1ab 1346654 utils optional dpkg-dev_1.17.0_all.deb
 76980aced39400a69192a67247ce10fe 984038 perl optional libdpkg-perl_1.17.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHzPBQACgkQuW9ciZ2SjJul9ACfWjrT9o9dyZAn71cwuK/bd1rp
wv8AnAhTjjV1EGX7v3dGkROgyG7Ws47m
=vJ2Z
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#711647; Package src:dpkg. (Sat, 27 Jul 2013 12:51:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to alga777@gmail.com:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 27 Jul 2013 12:51:14 GMT) Full text and rfc822 format available.

Message #43 received at 711647@bugs.debian.org (full text, mbox):

From: Alessio Gaeta <alga777@gmail.com>
To: 711647@bugs.debian.org
Subject: dpkg: [INTL:it] Italian translation of dpkg po4a documentation (man pages) Breaks manpages-it
Date: Sat, 27 Jul 2013 14:49:46 +0200
Hello.

The Italian translation introduced in the new version tries to overwrite
the manpage shipped with the package manpages-it (on which task-italian
depends).

manpages-it seems to be quite obsolete; nonetheless the conflict is
there.

Thanks
--
Alessio Gaeta




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#711647; Package src:dpkg. (Sat, 27 Jul 2013 13:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sat, 27 Jul 2013 13:15:05 GMT) Full text and rfc822 format available.

Message #48 received at 711647@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Alessio Gaeta <alga777@gmail.com>, 711647@bugs.debian.org
Subject: Re: Bug#711647: dpkg: [INTL:it] Italian translation of dpkg po4a documentation (man pages) Breaks manpages-it
Date: Sat, 27 Jul 2013 15:10:10 +0200
Hi!

On Sat, 2013-07-27 at 14:49:46 +0200, Alessio Gaeta wrote:
> The Italian translation introduced in the new version tries to overwrite
> the manpage shipped with the package manpages-it (on which task-italian
> depends).
> 
> manpages-it seems to be quite obsolete; nonetheless the conflict is
> there.

Ah, thanks will add a Replaces. In any case do you think manpages-it
might deserve to be removed, or does it still contain man pages not
integrated on their upstream packages?

Regards,
Guillem



Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#711647; Package src:dpkg. (Sun, 28 Jul 2013 11:24:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to alga777@gmail.com:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Sun, 28 Jul 2013 11:24:09 GMT) Full text and rfc822 format available.

Message #53 received at 711647@bugs.debian.org (full text, mbox):

From: Alessio Gaeta <alga777@gmail.com>
To: 711647@bugs.debian.org
Subject: [Fwd: Re: Bug#711647: dpkg: [INTL:it] Italian translation of dpkg po4a documentation (man pages) Breaks manpages-it]
Date: Sun, 28 Jul 2013 13:21:32 +0200
[Message part 1 (text/plain, inline)]
Sorry, did Reply instead of Reply to all...
--
Alessio Gaeta
[Message part 2 (message/rfc822, inline)]
From: Alessio Gaeta <alga777@gmail.com>
To: Guillem Jover <guillem@debian.org>
Subject: Re: Bug#711647: dpkg: [INTL:it] Italian translation of dpkg po4a documentation (man pages) Breaks manpages-it
Date: Sat, 27 Jul 2013 16:37:45 +0200
Il giorno sab, 27/07/2013 alle 15.10 +0200, Guillem Jover ha scritto:
> Ah, thanks will add a Replaces. In any case do you think manpages-it
> might deserve to be removed, or does it still contain man pages not
> integrated on their upstream packages?

Great, lighting answer... :)
Well, I don't know actually, but the changelog says 27 Aug 2008... I
guess manpages shipped with it are obsolete (and thus confusing more
than unuseful...). Moreover, manpages contained are mostly for low-level
and administration tools: I guess anyone needing to use these commands
is a power user who knows how to move (and likely can easily read the
original manpage...).

The only caveat seems to be the task-italian meta-package dependency.
BTW, IMHO (lovely acronyms...) this kind of package has little point to
exist: each package should ship the existing translations, for the sake
of maintainability (localepurge can easily do its job in saving
space...).

Regards
--
Alessio Gaeta



Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sat, 28 Sep 2013 07:21:29 GMT) Full text and rfc822 format available.

Notification sent to Beatrice Torracca <beatricet@libero.it>:
Bug acknowledged by developer. (Sat, 28 Sep 2013 07:21:29 GMT) Full text and rfc822 format available.

Message #58 received at 711647-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 711647-close@bugs.debian.org
Subject: Bug#711647: fixed in dpkg 1.16.11
Date: Sat, 28 Sep 2013 07:17:06 +0000
Source: dpkg
Source-Version: 1.16.11

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 711647@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Sep 2013 16:51:18 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.11
Distribution: stable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 676664 704240 708607 710265 711647 715334
Changes: 
 dpkg (1.16.11) stable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Fix usage of non-existent _() function in multiple places of the Perl
     code. Thanks to Lincoln Myers <lincoln@netapp.com> for the patch.
     Closes: #708607
 .
   [ Guillem Jover ]
   * Fix chmod() arguments order in Dpkg::Source::Quilt. Closes: #710265
     Thanks to Pablo Oliveira <pablo@sifflez.org>.
   * Only ignore older packages if the existing version is informative. This
     allows any program using libdpkg to parse the available file to see again
     packages with versions lesser than 0-0 (like 0~0-0). Closes: #676664
   * Fix use after free in dpkg_arch_load_list() on libdpkg.
     Reported by Pedro Ribeiro <pedrib@gmail.com>.
 .
   [ Updated programs translations ]
   * Vietnamese (Trần Ngọc Quân). Closes: #715334
 .
   [ Added man page translations ]
   * Italian (Beatrice Torracca). Closes: #711647
 .
   [ Updated man page translations ]
   * Japanese (TAKAHASHI Motonobu). Closes: #704240
Checksums-Sha1: 
 5a0d62dee9c2ca84c2683945191a67e9870582ac 1376 dpkg_1.16.11.dsc
 f8ef3846c36051514b9fe2543d89eaf3cae74c12 3788644 dpkg_1.16.11.tar.xz
 013d459ef93fa985df167df00062e5f90c95706a 689816 libdpkg-dev_1.16.11_amd64.deb
 faaa7d4699a534b2a50e2f4a5263ce27b7171d09 2644952 dpkg_1.16.11_amd64.deb
 7b03b3fa89ca09f90f11b90a1f72544cb8f81fe2 1153112 dselect_1.16.11_amd64.deb
 158bb1a5ffdc5b3073bede63544489d4551e5193 1348348 dpkg-dev_1.16.11_all.deb
 3bffb1a27f21a146280a9a6011c9b9c676c33ff5 950574 libdpkg-perl_1.16.11_all.deb
Checksums-Sha256: 
 8bcc0b64f893fea54624117773ecb4d2fdaf6f5c53856165dabc492d1bed4326 1376 dpkg_1.16.11.dsc
 fa053acbc1d7d3e28c6329c412a08812b971e84898d06efc7bfa36e6a1cbbd96 3788644 dpkg_1.16.11.tar.xz
 07d351c35cf4bd5ee17596108eef3382c0af5dd3d6eae123f69ec975a4ad91ad 689816 libdpkg-dev_1.16.11_amd64.deb
 2d376840eaab5f3b43e641df58c46882508511158200a1fec5d5a686cb365ce9 2644952 dpkg_1.16.11_amd64.deb
 dc7bbd8644c602661f02ebf9c4bf5409311c21b372de544d02906146673c0f5f 1153112 dselect_1.16.11_amd64.deb
 f5e65eb36760705b141d03f3610d20a8526230d8788705ff6f854758eb8dba0c 1348348 dpkg-dev_1.16.11_all.deb
 f0e75d12edd617c02dc99b2bdad17077febcbf03e0211b25bb366ca79ab0c354 950574 libdpkg-perl_1.16.11_all.deb
Files: 
 d526215f8b183f679661b614a974117a 1376 admin required dpkg_1.16.11.dsc
 c6aa3d66093063a376c0c3ad3122da63 3788644 admin required dpkg_1.16.11.tar.xz
 784f73fcdb06f203c3e2e61ccf266746 689816 libdevel optional libdpkg-dev_1.16.11_amd64.deb
 29461cc5dba7da796b54464047b49b40 2644952 admin required dpkg_1.16.11_amd64.deb
 5f15f17a2f6dde0d86f395ddb0db976f 1153112 admin optional dselect_1.16.11_amd64.deb
 02b88d457a71d6babae229afe8e3a97b 1348348 utils optional dpkg-dev_1.16.11_all.deb
 ce31c7f2724400f8dc53d7b372e2ba3d 950574 perl optional libdpkg-perl_1.16.11_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlJGQeQACgkQuW9ciZ2SjJtELACg4LRqblAaZEQcqJobbhjd6iQo
KlkAnRCEImi8TO2Z34RYnTX7nt+WLotx
=MTay
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Oct 2013 07:28:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 05:48:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.